//
//  ChatMemberView.swift
//  Sailassist
//
//  Created by Mamoru Sugita on 2023/11/10.
//

import SwiftUI

struct ChatMemberView: View {
    var members = ["Yokoyama", "Nogami", "Arahira", "Enokido"]
    var body: some View {
        VStack {
            List {
                ForEach(members, id: \.self) { member in
                    Text(member)
                        .foregroundColor(ColorSet.BodyChat.color)
                        .font(FontStyle.SupplementText.font)
                }
                .listRowBackground(ColorSet.ModalWindowFront.color)
                .listRowSeparatorTint(ColorSet.LineModal.color)
            }
            .scrollDisabled(true)
            .scrollContentBackground(.hidden)
            .background(ColorSet.ModalWindowBack.color)
            
            Spacer()
        }
    }
}

#Preview {
    ChatMemberView()
}
